# vim: set ts=4 sw=4 et:

Name:           clementine-unstable
Version:        2984
Release:        6.4
License:        GNU GPL v3
Group:          Productivity/Multimedia/Sound/Players
Url:            http://code.google.com/p/clementine-player/
## http://clementine-player.googlecode.com/svn/trunk/
Source:         clementine-r%{version}.tar.bz2
Patch1:         clementine-qsqlite_qt46_backport.patch
Patch2:         clementine-fix_maclineedit.patch
Patch3:         clementine-remove-Werror.patch
Patch4:         clementine-remove_include_of_gutils_h.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  glew-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  libgpod-devel >= 0.7.92
%if 0%{?suse_version} > 1120
BuildRequires:  libimobiledevice-devel
%endif
BuildRequires:  liblastfm-devel
BuildRequires:  libmtp-devel
BuildRequires:  libqt4-devel
BuildRequires:  libtag-devel >= 1.6
BuildRequires:  update-desktop-files
BuildRequires:  vlc-devel
BuildRequires:  libxine-devel
BuildRequires:  python-devel
BuildRequires:  libarchive-devel
BuildRequires:  gnutls-devel
BuildRequires:  libqt4-sql-sqlite
BuildRequires:  lirc-devel
Requires:       gstreamer010-plugins-ugly
Requires:       gstreamer010-plugins-good
Requires:       liborc-0_4-0
# Also track Requires as BuildRequires, to make the build fail if
# those packages are not available any more:
BuildRequires:  gstreamer010-plugins-ugly
BuildRequires:  liborc-0_4-0
Summary:        Cross-platform Music Player based on Amarok 1.4
Conflicts:      clementine

%description
Clementine is a modern music player and library organiser. Clementine is a 
port of Amarok 1.4, with some features rewritten to take advantage of Qt4.

Features:
* Search and play your local music library
* Listen to internet radio from Last.fm and SomaFM
* Edit tags on MP3 and OGG files, organise your music
* Cross-platform - works on Windows, Mac OS X and Linux
* Native desktop notifications on Linux (libnotify) and Mac OS X (Growl) 

%prep
%setup -q -n clementine
%patch1
%patch2
%patch3
%patch4

%build
mkdir build
pushd build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
cmake \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DLIBDIR="%{_lib}" \
    -DLIB_INSTALL_DIR="%{_lib}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_VERBOSE_MAKEFILE=1 \
    ..

%__make %{?jobs:-j%jobs}
popd #build

%install
pushd build
%makeinstall
popd #build

%__rm -rf "%{buildroot}%{_datadir}/icons"/ubuntu*

%suse_update_desktop_file -r clementine AudioVideo Player

%fdupes "%{buildroot}%{_datadir}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changelog TODO
%{_bindir}/clementine
%{_datadir}/applications/clementine.desktop
%{_datadir}/clementine
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/apps
%{_datadir}/icons/hicolor/64x64/apps/application-x-clementine.png
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/application-x-clementine.svg

%changelog
* Thu Jan 19 2012 pascal.bleser@opensuse.org
- add patch clementine-remove_include_of_gutils_h.patch to fix build on factory
* Wed Jan 18 2012 pascal.bleser@opensuse.org
- add patch to remove -Werror as it causes builds to fail on 12.1
* Mon Mar 14 2011 pascal.bleser@opensuse.org
- update to revision 2984
* Wed Dec 15 2010 pascal@links2linux.de
- update to revision 2421 (aligned with version 0.6)
* Fri Nov 19 2010 pascal.bleser@opensuse.org
- update to revision 2233
- add missing Requires: gstreamer-0_10-plugins-good
* Sun Nov 14 2010 pascal.bleser@opensuse.org
- fork: clementine -> clementine-unstable
- initial build of SVN trunk, revision 2224
* Fri Nov 12 2010 pascal.bleser@opensuse.org
- add Xine and VLC support
* Thu Nov 11 2010 bitshuffler@opensuse.org
- Enable MTP and iPod support.
* Sun Oct  3 2010 bitshuffler@opensuse.org
- Update to 0.5.3.
* Sat Sep 25 2010 bitshuffler@opensuse.org
- Update to 0.5.1.
* Mon Sep 20 2010 bitshuffler@opensuse.org
- Update to 0.5.
* Sat Jul 10 2010 bitshuffler@opensuse.org
- Update to 0.4.2.
* Tue May 18 2010 bitshuffler@opensuse.org
- Updated to 0.3.
* Fri Mar 26 2010 bitshuffler@opensuse.org
- Updated to 0.2.
* Mon Mar  1 2010 bitshuffler@opensuse.org
- Initial package.
